Package org.drinkless.tdlib

# Class TdApi.StoryStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryStatistics

Enclosing class:
  `TdApi`

public static class TdApi.StoryStatistics extends TdApi.Object
A detailed statistics about a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StatisticalGraph`
  `storyInteractionGraph`
  A graph containing number of story views and shares.
  `TdApi.StatisticalGraph`
  `storyReactionGraph`
  A graph containing number of story reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryStatistics()`
  A detailed statistics about a story.
  `StoryStatistics(TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph)`
  A detailed statistics about a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyInteractionGraph

    public TdApi.StatisticalGraph storyInteractionGraph
    A graph containing number of story views and shares.

  - ### storyReactionGraph

    public TdApi.StatisticalGraph storyReactionGraph
    A graph containing number of story reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryStatistics

    public StoryStatistics()
    A detailed statistics about a story.

  - ### StoryStatistics

    public StoryStatistics(TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph)
    A detailed statistics about a story.
    Parameters:
      `storyInteractionGraph` - A graph containing number of story views and shares.
      `storyReactionGraph` - A graph containing number of story reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR